## bio-rainbow 2.0.4+dfsg

=== Makefile ===
CC=gcc
CFLAGS= -W -O2 -Wall -Wno-self-assign -Wno-unused-function
DFLAGS= -D_FILE_OFFSET_BITS=64
GLIBS=-lm
GENERIC_SRC= string.h bitvec.h file_reader.h hashset.h sort.h list.h dna.h heap.h stdaln.h vector.h

.SUFFIXES:.c .o

.c.o:
	$(CC) -c $(CFLAGS) $(DFLAGS) $< -o $@

#all: rainbow rbasm rbmergetag ezmsim 
all: rainbow ezmsim rbasm

rainbow: main.o  divide.o file_reader.o asm_R2.o mergectg.o cluster.o
	$(CC) $(CFLAGS) -o $@ $^ $(GLIBS) 

rbasm: asm_R2.o rbasm_main.o file_reader.o
	$(CC) $(CFLAGS) -o $@ $^ $(GLIBS)

ezmsim: ezmsim.o
	$(CC) $(CFLAGS) -o $@ $^ $(GLIBS)

asm_R2.o: asm_R2.c asm_R2.h string.h vector.h hashset.h file_reader.h \
  dna.h
cluster.o: cluster.c rainbow.h bitvec.h hashset.h list.h sort.h dna.h \
  file_reader.h string.h vector.h mergectg.h stdaln.h asm_R2.h \
  bloom_filter.h
divide.o: divide.c rainbow.h bitvec.h hashset.h list.h sort.h dna.h \
  file_reader.h string.h vector.h mergectg.h stdaln.h asm_R2.h \
  bloom_filter.h
ezmsim.o: ezmsim.c
file_reader.o: file_reader.c file_reader.h string.h vector.h
main.o: main.c rainbow.h bitvec.h hashset.h list.h sort.h dna.h \
  file_reader.h string.h vector.h mergectg.h stdaln.h asm_R2.h \
  bloom_filter.h
mergectg.o: mergectg.c mergectg.h list.h sort.h file_reader.h string.h \
  vector.h hashset.h stdaln.h asm_R2.h dna.h bloom_filter.h bitvec.h \
  rainbow.h
rbasm_main.o: rbasm_main.c asm_R2.h string.h vector.h hashset.h \
  file_reader.h dna.h
stdaln.o: stdaln.c stdaln.h

clean:
	rm -f *.o *.gcda *.gcno *.gcov gmon.out rainbow rbasm ezmsim rbmergetag *.exe

clear:
	rm -f *.o *.gcda *.gcno *.gcov gmon.out

## bio-rainbow 2.0.4

=== debian/changelog ===
bio-rainbow (2.0.4-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:14:53 +0000

bio-rainbow (2.0.4-1) unstable; urgency=low

  * Initial release (Closes: #795865)

 -- Olivier Sallou <osallou@debian.org>  Mon, 17 Aug 2015 10:57:33 +0000

=== debian/control ===
Source: bio-rainbow
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Build-Depends: debhelper (>= 9), help2man
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bio-rainbow.git
Vcs-Git: git://anonscm.debian.org/debian-med/bio-rainbow.git
Homepage: http://sourceforge.net/projects/bio-rainbow/

Package: bio-rainbow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, perl
Description: clustering and assembling short reads for bioinformatics
 Efficient tool for clustering and assembling short reads, especially for RAD.

=== debian/watch ===
version=3

http://sf.net/bio-rainbow/rainbow_(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## bio-rainbow 2.0.4+dfsg

=== debian/changelog ===
bio-rainbow (2.0.4+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * Created debian/upstream/metadata

  [ Andreas Tille ]
  * Enhance description
  * cme fix dpkg-control
  * Standards-Version: 4.1.4
  * Point VCS fields to Salsa
  * Upstream source was repackaged to remove some files - do this with
    Files-Excluded instead of get-orig-source and express it with +dfsg prefix
  * debhelper 11
  * Lintian override for script-with-language-extension
  * DEP3
  * DEP5
  * hardening=+all
  * Add rudimentary manpages
  * spelling

 -- Andreas Tille <tille@debian.org>  Wed, 04 Jul 2018 16:12:39 +0200

=== debian/control ===
Source: bio-rainbow
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               help2man
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/bio-rainbow
Vcs-Git: https://salsa.debian.org/med-team/bio-rainbow.git
Homepage: http://sourceforge.net/projects/bio-rainbow/

Package: bio-rainbow
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
Description: clustering and assembling short reads for bioinformatics
 Efficient tool for clustering and assembling short reads,
 especially for RAD.
 .
 Rainbow is developed to provide an ultra-fast and memory-efficient
 solution to clustering and assembling short reads produced by RAD-seq.
 First, Rainbow clusters reads using a spaced seed method. Then, Rainbow
 implements a heterozygote calling like strategy to divide potential
 groups into haplotypes in a top-down manner. long a guided tree, it
 iteratively merges sibling leaves in a bottom-up manner if they are
 similar enough. Here, the similarity is defined by comparing the 2nd
 reads of a RAD segment. This approach tries to collapse heterozygote
 while discriminate repetitive sequences. At last, Rainbow uses a greedy
 algorithm to locally assemble merged reads into contigs. Rainbow not
 only outputs the optimal but also suboptimal assembly results. Based on
 simulation and a real guppy RAD-seq data, it is shown that Rainbow is
 more competent than the other tools in dealing with RAD-seq data.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ 

override_dh_installman:
	# dh_installman is messing up .sh extension as language extension
	dh_install debian/mans/*.1 usr/share/man/man1

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   http://sf.net/bio-rainbow/rainbow_(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
